Loading...
Searching...
No Matches
_PurplePluginAction Struct Reference

The structure used in the actions member of PurplePluginInfo. More...

`#include <plugin.h>`

## Data Fields

char * | label
void(* | callback )(PurplePluginAction *)
PurplePlugin * | plugin
| set to the owning plugin
gpointer | context
| NULL for plugin actions menu, set to the PurpleConnection for account actions menu.
gpointer | user_data

## Detailed Description

The structure used in the actions member of PurplePluginInfo.

Definition at line 195 of file plugin.h.

## Field Documentation

## callback

void(* _PurplePluginAction::callback) (PurplePluginAction *)

Definition at line 197 of file plugin.h.

## context

gpointer _PurplePluginAction::context

NULL for plugin actions menu, set to the PurpleConnection for account actions menu.

Definition at line 204 of file plugin.h.

## label

char* _PurplePluginAction::label

Definition at line 196 of file plugin.h.

## plugin

PurplePlugin* _PurplePluginAction::plugin

set to the owning plugin

Definition at line 200 of file plugin.h.

## user_data

gpointer _PurplePluginAction::user_data

Definition at line 206 of file plugin.h.

The documentation for this struct was generated from the following file:

- plugin.h